var trace = [{
  a: [], 
  b: [], 
  c: [],
  
  type: 'scatterternary',
   mode: 'markers',
    text: [],
    marker: {
        symbol: 100,
        color: '#DB7365',
        size: 3,
        line: { width: 2 }
    },
}    ];

      		Plotly.plot('widget-2', trace, 
         	/*[{
    type: 'scatterternary',
    mode: 'markers',
    a: rawData.map(function(d) { return d.u; }),
    b: rawData.map(function(d) { return d.d; }),
    c: rawData.map(function(d) { return d.b; }),
    text: rawData.map(function(d) { return d.freq; }),
    marker: {
        symbol: 100,
        color: '#DB7365',
        size: 3,
        line: { width: 2 }
    },
}], */
{
    ternary: {
        sum: 1,
        aaxis: makeAxis('Uncertainty', 0),
        baxis: makeAxis('<br>Belief', 0.45),
        caxis: makeAxis('<br>Disbelief', -0.45),
        bgcolor: '#fff1e0'
    },
    annotations: [{
      showarrow: false,
      text: 'Arguments',
        x: 0.5,
        y: 1.3,
        font: { size: 7 }
    }],
    autosize: false,
	  width: 330,
	  height: 220,
	  margin: {
	    l: 5,
	    r: 5,
	    b: 10,
	    t: 10,
	    pad: 4},
	  showlegend:'false'
}); 
     

function makeAxis(title, tickangle) {
    return {
      title: title,
      titlefont: { size: 10 },
      tickangle: tickangle,
      tickfont: { size: 15 },
      tickcolor: 'rgba(0,0,0,0)',
      ticklen: 5,
      showline: true,
      showgrid: true
    };
}


function infocb(dat) {
   var qtxt = dat.query ;
   var a =qtxt;
   var what ="";
   //JSON.parse('{"and-query":[{"field-range-query":[{"operator":"=","field":"hypho","value":[{"type":"xs:string","_value":"foreign policy:"}],"option":"collation=http://marklogic.com/collation/"}]}]}');
   for (i = 0; i < a["and-query"].length; i++){
	var frq = a["and-query"][i]["field-range-query"] || [];
    var cq = a["and-query"][i]["collection-query"] || [];
    var ewq = a["and-query"][i]["element-word-query"] || [];
     var erq = a["and-query"][i]["element-range-query"] || [];
  	 	for (j =0; j< frq.length; j++){
      what = what.concat(a["and-query"][i]["field-range-query"][j]["field"]);
      var operator = a["and-query"][i]["field-range-query"][j]["operator"];
      operator=operator.replace("<=", "+LE+").replace(">", "+GT+")                
      what = what.concat(operator);
      what = what.concat(a["and-query"][i]["field-range-query"][j]["value"][0]["_value"]);
      what = what.concat(" ");
      }
      for (j =0; j< erq.length; j++){
      what = what.concat(a["and-query"][i]["element-range-query"][j]["element"]);
      var operator = a["and-query"][i]["element-range-query"][j]["operator"];
      operator=operator.replace("<=", "+LE+").replace(">", "+GT+").replace(":", "=");                
      what = what.concat(operator);
      var t = a["and-query"][i]["element-range-query"][j]["value"][0]["_value"];
      what = what.concat(t.replace(" ","!"));
      what = what.concat(" ");
      }
      for (j =0; j< cq.length; j++){
      what = what.concat("collection");
      what = what.concat("=");
      what = what.concat(cq[j]["uri"]);
      what = what.concat(" ");  
      }
      for (j =0; j< ewq.length; j++){
      what = what.concat(ewq[j]["element"]);
      what = what.concat("=");
      var t=ewq[j]["text"]["_value"];
        t=t.replace(" ","!")
      what = what.concat(t);
      what = what.concat(" ");
      }
  }
   var uri = "/v1/resources/example?rs:groupBy=b&rs:groupBy=d&rs:groupBy=u&rs:aggreg=&rs:filter=";
   uri=uri.concat(what);
   $.ajax({
      method:'GET',
      url: uri,
	  dataType:'json',
	 // accepts: { json:"application/rdf+json" },
	  //data:qtxt, //'{"and-query":[{"collection-query":[{"uri":"hypothesis"}]}]}',
       success: function(dataJson) {
        var subj = Object.keys(dataJson); // ECMAscript 5th ed, IE9+
        var data = JSON.stringify(dataJson)
        var results = dataJson["results"]["_children"] ||[];
        var rawData=[];
        for (i = 0; i < results.length; i++){
        	var pair = JSON.parse(dataJson["results"]["_children"][i]["tuple"]["_attributes"]["descr"]);
            var freq = JSON.parse(dataJson["results"]["_children"][i]["tuple"]["_attributes"]["freq"]);
			rawData.push({ 'b' :pair[0], // Number(pair[0]['b']['_children'][0]), 
    		               'd': pair[1],// Number(pair[1]['d']['_children'][0]), 
            		       'u': pair[2],
            		       'freq':freq})//Number(pair[2]['u']['_children'][0])});
          };


           //Plotly.deleteTraces('widget-2', [-1]);
   /*     if (what=="") 
        	{
        		Plotly.plot('widget-2', [trace], 
     */    	/*[{
    type: 'scatterternary',
    mode: 'markers',
    a: rawData.map(function(d) { return d.u; }),
    b: rawData.map(function(d) { return d.d; }),
    c: rawData.map(function(d) { return d.b; }),
    text: rawData.map(function(d) { return d.freq; }),
    marker: {
        symbol: 100,
        color: '#DB7365',
        size: 3,
        line: { width: 2 }
    },
}], */
   /*{
    ternary: {
        sum: 1,
        aaxis: makeAxis('Uncertainty', 0),
        baxis: makeAxis('<br>Belief', 0.45),
        caxis: makeAxis('<br>Disbelief', -0.45),
        bgcolor: '#fff1e0'
    },
    annotations: [{
      showarrow: false,
      text: 'Arguments',
        x: 0.5,
        y: 1.3,
        font: { size: 7 }
    }],
    autosize: false,
	  width: 330,
	  height: 220,
	  margin: {
	    l: 5,
	    r: 5,
	    b: 10,
	    t: 10,
	    pad: 4},
	  showlegend:'false'
}); 
        	}
      else*/ 
      	{trace[0]['a']=rawData.map(function(d) { return d.u; });
    	 trace[0]['b']= rawData.map(function(d) { return d.d; });
    		trace[0]['c']= rawData.map(function(d) { return d.b; });
    		trace[0]['text']= rawData.map(function(d) { return d.freq; });
    
      		Plotly.redraw("widget-2");
      		}  	 
    //  $("#widget-2").html(JSON.stringify(qtxt)+ "*****"+what+"++++++++"  + rawData[0]);
      }
   });





/*
	var rawData = [
    {b:0, d:0.397761515281964, u:0.795523030563927,label:23}, 
   {b:0, d:0.569140745303358, u:0.569140745303358,label:18}, 
   {b:0, d:0.664588827619277, u:0.443059218412851,label:5}
   
		];
		var rawData=[];
		rawData.push({ 'b' : 0.2, 'd':0.3, 'u':0.5});
		rawData.push({ 'b' : 0.1, 'd':0.4, 'u':0.5});

Plotly.plot('widget-2', [{
    type: 'scatterternary',
    mode: 'markers',
    a: rawData.map(function(d) { return d.u; }),
    b: rawData.map(function(d) { return d.b; }),
    c: rawData.map(function(d) { return d.d; }),
    text: rawData.map(function(d) { return d.label; }),
    marker: {
        symbol: 100,
        color: '#DB7365',
        size: 6,
        line: { width: 2 }
    },
}], {
    ternary: {
        sum: 1,
        aaxis: makeAxis('Uncertainty', 0),
        baxis: makeAxis('<br>Belief', 0.45),
        caxis: makeAxis('<br>Disbelief', -0.45),
        bgcolor: '#fff1e0'
    },
    annotations: [{
      showarrow: false,
      text: 'Arguments',
        x: 0.5,
        y: 1.3,
        font: { size: 10 }
    }],
    autosize: false,
	  width: 500,
	  height: 500,
	  margin: {
	    l: 50,
	    r: 50,
	    b: 100,
	    t: 100,
	    pad: 4},
	    visible: 'legendonly'
}); 
*/
 //$("#widget-2").html("<h2>Infopanel</h2><p>bThe query is " +
   // JSON.stringify(qtxt) + "</p>");
  //  JSON.stringify(dat.facets)+" "+dat.total + " results found<br />" +    Math.ceil(dat.total / 10) + " Total pages of results");
 };
var infopanel = ML.createWidget($("#widget-2"), infocb, null, null);

/*
function infocb(dat) {
 $("#widget-2").html("<h2>Infopanel</h2><p>The query is " +
    //JSON.stringify(dat.query) + "</p>");
	$('#totalCount').html(data.total + " results found<br />" +    Math.ceil(data.total / 10) + " Total pages of results");

};
var infopanel = ML.createWidget($("#widget-2"), infocb, null, null);
*/

/*
function infoca(dat) {
 $("#widget-1").html("<h2>Infopanel test anca </h2><p>budget categories " +
    JSON.stringify(dat.query) + "</p>");

 };

 var infopanel0 = ML.createWidget($("#widget-1"), infoca, null, null);
 */